<?php
/**
 * The template part for displaying header standard.
 *
 * @package Swyft
 */

$thumbnail_size        = 'csco-extra-large';
$thumbnail_size_mobile = 'csco-thumbnail-uncropped';

if ( 'uncropped' === csco_get_page_preview() ) {
	$thumbnail_size = sprintf( '%s-uncropped', $thumbnail_size );
}
?>

<div class="cs-entry__outer cs-entry__overlay cs-overlay-ratio cs-ratio-landscape-3-2">
	<div class="cs-entry__inner cs-entry__thumbnail">
		<div class="cs-overlay-background">
			<?php the_post_thumbnail( $thumbnail_size_mobile ); ?>
			<?php the_post_thumbnail( $thumbnail_size ); ?>
		</div>
	</div>
	<div class="cs-entry__inner cs-entry__content cs-overlay-content" data-scheme="inverse">
		<?php get_template_part( 'template-parts/entry/entry-header-primary-info' ); ?>
	</div>
</div>

<?php
