<?php
/**
 * The template for displaying the footer layout
 *
 * @package Swyft
 */

?>

<footer class="cs-footer">
	<div class="cs-container">

		<div class="cs-footer__item cs-footer__item-top-bar">
			<div class="cs-footer__item-inner">
				<div class="cs-footer__col cs-col-left">
					<?php csco_component( 'footer_logo' ); ?>
					<?php csco_component( 'footer_description' ); ?>
				</div>
				<div class="cs-footer__col cs-col-center">
					<?php csco_component( 'footer_nav_menu' ); ?>
				</div>
				<div class="cs-footer__col cs-col-right">
					<?php csco_component( 'misc_social_links' ); ?>
				</div>
			</div>
		</div>

		<div class="cs-footer__item cs-footer__item-bottom-bar">
			<div class="cs-footer__item-inner">
				<?php csco_component( 'footer_copyright' ); ?>
			</div>
		</div>

	</div>
</footer>

<?php csco_component( 'scroll_to_top' ); ?>
