<?php
/**
 * The template part for displaying header secondary info.
 *
 * @package Swyft
 */

// Subtitle.
csco_post_subtitle();

// Post Meta.
if ( is_singular( 'post' ) ) {

	if ( get_theme_mod( 'post_meta', array( 'category', 'author', 'comments', 'date' ) ) ) {
		$display_post_meta = __return_true();
	}

	if ( isset( $display_post_meta ) || isset( $display_share_buttons ) ) {
		?>
		<div class="cs-entry__header-infobar">
			<?php
			if ( isset( $display_post_meta ) ) {
				csco_get_post_meta( array( 'author', 'comments', 'date' ), true, 'post_meta' );
			}
			?>
		</div>
		<?php
	}
	?>
	<?php
}
